
Redmine - Defect #42396

Upgrade from 5.0.12 to 6.0.4 failed

2025-03-11 15:50 - Nono Nono

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 6.0.4

Description

Dear Support,

I'm running redmine 5.0.12 and wanted to have a try on the 6.0.4.

But at this point :

RAILS_ENV=production bundle exec rake generate_secret_token

I'm getting the following error:

ArgumentError: Missing `secret_key_base` for 'production' environment, set this string with `bin/r

ails credentials:edit`                                                                            

                                                                                    /opt/redmine-6

.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/application/configuration.rb:519:in `

secret_key_base='                                                                                 

                                                                      /opt/redmine-6.0.4/vendor/ca

che/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/application/configuration.rb:503:in `secret_key_bas

e'                                                                                                

                                                        /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0

/gems/railties-7.2.2.1/lib/rails/application.rb:470:in `secret_key_base'                          

                                                                                                  

                                          /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties

-7.2.2.1/lib/rails/application.rb:205:in `block in message_verifiers'                             

                                                                                                  

                            /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/

lib/active_support/message_verifiers.rb:132:in `build'                                            

                                                                                                  

              /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_sup

port/messages/rotation_coordinator.rb:85:in `block in build_with_rotations'                       

                                                                                                  

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/messages/

rotation_coordinator.rb:85:in `map'                                                               

                                                                                    /opt/redmine-6

.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/messages/rotation_coord

inator.rb:85:in `build_with_rotations'                                                            

                                                                      /opt/redmine-6.0.4/vendor/ca

che/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/messages/rotation_coordinator.rb:19:i

n `[]'                                                                                            

                                                        /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0

/gems/railties-7.2.2.1/lib/rails/application.rb:232:in `message_verifier'                         

                                                                                                  

                                          /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activere

cord-7.2.2.1/lib/active_record/railtie.rb:355:in `block (3 levels) in <class:Railtie>'            

                                                                                                  

                            /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/

lib/active_support/lazy_load_hooks.rb:97:in `class_eval'                                          

                                                                                                  

              /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_sup

port/lazy_load_hooks.rb:97:in `block in execute_hook'                                             
/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/lazy_load

_hooks.rb:87:in `with_execution_control'                                                          

                                                                                    /opt/redmine-6

.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/lazy_load_hooks.rb:92:i

n `execute_hook'                                                                                  

                                                                      /opt/redmine-6.0.4/vendor/ca

che/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/lazy_load_hooks.rb:62:in `block in on

_load'                                                                                            

                                                        /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0

/gems/activesupport-7.2.2.1/lib/active_support/lazy_load_hooks.rb:61:in `each'                    

                                                                                                  

                                          /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesu

pport-7.2.2.1/lib/active_support/lazy_load_hooks.rb:61:in `on_load'                               

                                                                                                  

                            /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activerecord-7.2.2.1/l

ib/active_record/railtie.rb:354:in `block (2 levels) in <class:Railtie>'                          

                                                                                                  

              /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_sup

port/lazy_load_hooks.rb:94:in `block in execute_hook'                                             

                                                                                                  

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/lazy_load

_hooks.rb:87:in `with_execution_control'                                                          

                                                                                    /opt/redmine-6

.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/lazy_load_hooks.rb:92:i

n `execute_hook'                                                                                  

                                                                      /opt/redmine-6.0.4/vendor/ca

che/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/lazy_load_hooks.rb:78:in `block in ru

n_load_hooks'                                                                                     

                                                        /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0

/gems/activesupport-7.2.2.1/lib/active_support/lazy_load_hooks.rb:77:in `each'                    

                                                                                                  

                                          /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesu

pport-7.2.2.1/lib/active_support/lazy_load_hooks.rb:77:in `run_load_hooks'                        

                                                                                                  

                            /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/r

ails/application/finisher.rb:94:in `block in <module:Finisher>'                                   

                                                                                                  

              /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/initializ

able.rb:32:in `instance_exec'                                                                     

                                                                                                  

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/initializable.rb:32:in 

`run'                                                                                             

                                                                                    /opt/redmine-6

.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/initializable.rb:61:in `block in run_

initializers'                                                                                     

                                                                      /opt/redmine-6.0.4/vendor/ca

che/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/initializable.rb:60:in `run_initializers'          

                                                                                                  

                                                        /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0

/gems/railties-7.2.2.1/lib/rails/application.rb:435:in `initialize!'                              

                                                                                                  

                                          /opt/redmine-6.0.4/config/environment.rb:16:in `<top (re

quired)>'                                                                                         

                                                                                                  

                            /opt/redmine-6.0.4/plugins/issue_recurring/lib/tasks/issue_recurring.r

ake:8:in `require_relative'                                                                       

                                                                                                  

              /opt/redmine-6.0.4/plugins/issue_recurring/lib/tasks/issue_recurring.rake:8:in `<top

 (required)>'

/opt/redmine-6.0.4/lib/tasks/redmine.rake:222:in `load'

/opt/redmine-6.0.4/lib/tasks/redmine.rake:222:in `block in <top (required)>'

/opt/redmine-6.0.4/lib/tasks/redmine.rake:222:in `each'

/opt/redmine-6.0.4/lib/tasks/redmine.rake:222:in `<top (required)>'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/engine.rb:683:in `load'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/engine.rb:683:in `block

 in run_tasks_blocks'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/engine.rb:683:in `each'
/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/engine.rb:683:in `run_t

asks_blocks'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/application.rb:554:in `

run_tasks_blocks'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/engine.rb:470:in `load_

tasks'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/railtie.rb:226:in `publ

ic_send'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/railtie.rb:226:in `meth

od_missing'

/opt/redmine-6.0.4/Rakefile:7:in `<top (required)>'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/rake-13.2.1/exe/rake:27:in `<top (required)>'

/usr/local/rvm/gems/ruby-3.1.4/bin/ruby_executable_hooks:22:in `eval'

/usr/local/rvm/gems/ruby-3.1.4/bin/ruby_executable_hooks:22:in `<main>'

(See full trace by running task with --trace)

 as I don't have any secret.rb (neither config/initializers/secret_token.rb i'm not sure if it's because I skipped the migration from 5.0.x to

5.1.x THEN 5.1.x to 6.0.x (but I didn't see any notice about that) ?

Do I miss something ? Is there a new way to generate the secret key ? Maybe creating secrets.yml but the explanation on 

https://guides.rubyonrails.org/upgrading_ruby_on_rails.html#config-secrets-yml aren't exactly going forward (to me).

History

#1 - 2025-03-11 15:53 - Nono Nono

sorry log formatting issue, re-pasted here:

ArgumentError: Missing `secret_key_base` for 'production' environment, set this string with `bin/rails credent

ials:edit`

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/application/configuration.rb:519:in

 `secret_key_base='

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/application/configuration.rb:503:in

 `secret_key_base'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/application.rb:470:in `secret_key_b

ase'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/application.rb:205:in `block in mes

sage_verifiers'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/message_verifiers.rb:

132:in `build'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/messages/rotation_coo

rdinator.rb:85:in `block in build_with_rotations'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/messages/rotation_coo

rdinator.rb:85:in `map'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/messages/rotation_coo

rdinator.rb:85:in `build_with_rotations'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/messages/rotation_coo

rdinator.rb:19:in `[]'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/application.rb:232:in `message_veri

fier'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activerecord-7.2.2.1/lib/active_record/railtie.rb:355:in `bloc

k (3 levels) in <class:Railtie>'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/lazy_load_hooks.rb:97

:in `class_eval'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/lazy_load_hooks.rb:97

:in `block in execute_hook'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/lazy_load_hooks.rb:87

:in `with_execution_control'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/lazy_load_hooks.rb:92

:in `execute_hook'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/lazy_load_hooks.rb:62

:in `block in on_load'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/lazy_load_hooks.rb:61

:in `each'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/lazy_load_hooks.rb:61

:in `on_load'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activerecord-7.2.2.1/lib/active_record/railtie.rb:354:in `bloc

k (2 levels) in <class:Railtie>'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/lazy_load_hooks.rb:94

:in `block in execute_hook'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/lazy_load_hooks.rb:87

:in `with_execution_control'
/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/lazy_load_hooks.rb:92

:in `execute_hook' 

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/lazy_load_hooks.rb:78

:in `block in run_load_hooks'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/lazy_load_hooks.rb:77

:in `each'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/lazy_load_hooks.rb:77

:in `run_load_hooks'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/application/finisher.rb:94:in `bloc

k in <module:Finisher>'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/initializable.rb:32:in `instance_ex

ec'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/initializable.rb:32:in `run'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/initializable.rb:61:in `block in ru

n_initializers'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/initializable.rb:60:in `run_initial

izers'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/application.rb:435:in `initialize!'

/opt/redmine-6.0.4/config/environment.rb:16:in `<top (required)>'

/opt/redmine-6.0.4/plugins/issue_recurring/lib/tasks/issue_recurring.rake:8:in `require_relative'

/opt/redmine-6.0.4/plugins/issue_recurring/lib/tasks/issue_recurring.rake:8:in `<top (required)>'

/opt/redmine-6.0.4/lib/tasks/redmine.rake:222:in `load'

/opt/redmine-6.0.4/lib/tasks/redmine.rake:222:in `block in <top (required)>'

/opt/redmine-6.0.4/lib/tasks/redmine.rake:222:in `each'

/opt/redmine-6.0.4/lib/tasks/redmine.rake:222:in `<top (required)>'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/engine.rb:683:in `load'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/engine.rb:683:in `block in run_task

s_blocks'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/engine.rb:683:in `each'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/engine.rb:683:in `run_tasks_blocks'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/application.rb:554:in `run_tasks_bl

ocks'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/engine.rb:470:in `load_tasks'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/railtie.rb:226:in `public_send'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/railtie.rb:226:in `method_missing'

/opt/redmine-6.0.4/Rakefile:7:in `<top (required)>'

/opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/rake-13.2.1/exe/rake:27:in `<top (required)>'

/usr/local/rvm/gems/ruby-3.1.4/bin/ruby_executable_hooks:22:in `eval'

/usr/local/rvm/gems/ruby-3.1.4/bin/ruby_executable_hooks:22:in `<main>'

(See full trace by running task with --trace)

#2 - 2025-03-11 16:03 - Nono Nono

note: I did try to add the secret_base_key I had on my previous install (5.0.12) from /opt/redmine-5.0.12/config/initializers/secret_token.rb as follow:

cat /opt/redmine-6.0.4/config/secrets.yml

development:

  secret_key_base:

test:

  secret_key_base:

production:

  secret_key_base: 'xxx'

 but it gave me the same error.

#3 - 2025-04-03 12:58 - Nono Nono

I should have probably test this before but the issue is the same when I do the upgrade from 5.1.7 to 6.0.4.

So I assume any 5.1.x to 6.0.x is "faulty". I'm surprised to be the only one complaining about this ?

I didn't mention it, but indeed, the solution proposed bin/rails credentials:edit doesn't work.

#4 - 2025-04-04 10:52 - Nono Nono

The "doesn't work" isn't helpful, here is the error I got :

bin/rails credentials:edit

/usr/local/rvm/gems/ruby-3.1.4/gems/bundler-2.4.10/lib/bundler/rubygems_integration.rb:280:in `block (2 levels

) in replace_gem': listen is not part of the bundle. Add it to your Gemfile. (Gem::LoadError)              fro

m /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/activesupport-7.2.2.1/lib/active_support/evented_file_update

_checker.rb:3:in `<top (required)>'

        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/zeitwerk-2.6.18/lib/zeitwerk/kernel.rb:34:in `req

uire'
        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/zeitwerk-2.6.18/lib/zeitwerk/kernel.rb:34:in `req

uire'

        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/polyglot-0.3.5/lib/polyglot.rb:65:in `require'

        from /opt/redmine-6.0.4/config/environments/development.rb:58:in `block in <top (required)>'

        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/railtie.rb:256:in `ins

tance_eval'

        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/railtie.rb:256:in `con

figure'

        from /opt/redmine-6.0.4/config/environments/development.rb:5:in `<top (required)>'

        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/zeitwerk-2.6.18/lib/zeitwerk/kernel.rb:34:in `req

uire'

        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/zeitwerk-2.6.18/lib/zeitwerk/kernel.rb:34:in `req

uire'

        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/polyglot-0.3.5/lib/polyglot.rb:65:in `require'

        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/engine.rb:567:in `bloc

k (2 levels) in <class:Engine>'

        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/engine.rb:566:in `each

'

        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/engine.rb:566:in `bloc

k in <class:Engine>'

        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/initializable.rb:32:in

 `instance_exec'

        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/initializable.rb:32:in

 `run'

        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/initializable.rb:61:in

 `block in run_initializers'

        from /usr/local/rvm/rubies/ruby-3.1.4/lib/ruby/3.1.0/tsort.rb:228:in `block in tsort_each'

        from /usr/local/rvm/rubies/ruby-3.1.4/lib/ruby/3.1.0/tsort.rb:350:in `block (2 levels) in each_strongl

y_connected_component'

        from /usr/local/rvm/rubies/ruby-3.1.4/lib/ruby/3.1.0/tsort.rb:422:in `block (2 levels) in each_strongl

y_connected_component_from'

        from /usr/local/rvm/rubies/ruby-3.1.4/lib/ruby/3.1.0/tsort.rb:431:in `each_strongly_connected_componen

t_from'

        from /usr/local/rvm/rubies/ruby-3.1.4/lib/ruby/3.1.0/tsort.rb:421:in `block in each_strongly_connected

_component_from'

        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/initializable.rb:50:in

 `each'

        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/initializable.rb:50:in

 `tsort_each_child'

        from /usr/local/rvm/rubies/ruby-3.1.4/lib/ruby/3.1.0/tsort.rb:415:in `call'

        from /usr/local/rvm/rubies/ruby-3.1.4/lib/ruby/3.1.0/tsort.rb:415:in `each_strongly_connected_componen

t_from'

        from /usr/local/rvm/rubies/ruby-3.1.4/lib/ruby/3.1.0/tsort.rb:349:in `block in each_strongly_connected

_component'

        from /usr/local/rvm/rubies/ruby-3.1.4/lib/ruby/3.1.0/tsort.rb:347:in `each'

        from /usr/local/rvm/rubies/ruby-3.1.4/lib/ruby/3.1.0/tsort.rb:347:in `call'

        from /usr/local/rvm/rubies/ruby-3.1.4/lib/ruby/3.1.0/tsort.rb:347:in `each_strongly_connected_componen

t'

        from /usr/local/rvm/rubies/ruby-3.1.4/lib/ruby/3.1.0/tsort.rb:226:in `tsort_each'

        from /usr/local/rvm/rubies/ruby-3.1.4/lib/ruby/3.1.0/tsort.rb:205:in `tsort_each'

        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/initializable.rb:60:in

 `run_initializers'

        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/application.rb:435:in 

`initialize!'

        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/command/actions.rb:27:

in `load_environment_config!'

        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/commands/credentials/c

redentials_command.rb:19:in `edit' from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/thor-1.3.2/lib/thor/co

mmand.rb:28:in `run'

        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/thor-1.3.2/lib/thor/invocation.rb:127:in `invoke_

command'

        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/command/base.rb:178:in

 `invoke_command'

        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/thor-1.3.2/lib/thor.rb:538:in `dispatch'

        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/command/base.rb:73:in 

`perform'

        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/command.rb:71:in `bloc

k in invoke'

        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/command.rb:149:in `wit

h_argv'

        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/command.rb:69:in `invo

ke'

        from /opt/redmine-6.0.4/vendor/cache/ruby/3.1.0/gems/railties-7.2.2.1/lib/rails/commands.rb:18:in `<to

p (required)>'

        from bin/rails:4:in `require'
        from bin/rails:4:in `<main>'

#5 - 2025-04-07 08:52 - Nono Nono

I'm still trying to understand why this issue happens, but I try to dig into this issue.

In order to be able to use I need the "listen" Gem.

On the (default) Gemfile there is only:

group :development do

  gem 'listen', '~> 3.3'

 So I added this specific gem (same way) on my Gemfile.local:

cat Gemfile.local

gem 'fcgi', :source => 'https://rubygems.org/'

gem 'sidekiq', '<7'

gem 'strscan', '3.0.1'

gem 'listen', '~> 3.3'

 I was able to continue the installation but now sidekiq fail to laucnh with the following error :

Apr  7 08:41:38 new-redmine sidekiq[1309]: 2025-04-07T06:41:38.483Z pid=1309 tid=36h INFO: Booted Rails 7.2.2.

1 application in production environment

Apr  7 08:41:38 new-redmine sidekiq[1309]: 2025-04-07T06:41:38.483Z pid=1309 tid=36h INFO: Running in ruby 3.1

.4p223 (2023-03-30 revision 957bb7cb81) [x86_64-linux]

Apr  7 08:41:38 new-redmine sidekiq[1309]: 2025-04-07T06:41:38.483Z pid=1309 tid=36h INFO: See LICENSE and the

 LGPL-3.0 for licensing details.

Apr  7 08:41:38 new-redmine sidekiq[1309]: 2025-04-07T06:41:38.483Z pid=1309 tid=36h INFO: Upgrade to Sidekiq 

Pro for more features and support: http://sidekiq.org

Apr  7 08:41:38 new-redmine sidekiq[1309]: 2025-04-07T06:41:38.483Z pid=1309 tid=36h INFO: Booting Sidekiq 6.0

.4 with redis options {:id=>"Sidekiq-server-PID-1309", :url=>nil}

Apr  7 08:41:38 new-redmine sidekiq[1309]: 2025-04-07T06:41:38.485Z pid=1309 tid=36h DEBUG: Client Middleware:

Apr  7 08:41:38 new-redmine sidekiq[1309]: 2025-04-07T06:41:38.485Z pid=1309 tid=36h DEBUG: Server Middleware:

Apr  7 08:41:38 new-redmine sidekiq[1309]: 2025-04-07T06:41:38.485Z pid=1309 tid=36h DEBUG: {:queues=>["mailer

s"], :labels=>[], :concurrency=>10, :require=>".", :environment=>"production", :timeout=>25, :poll_interval_av

erage=>nil, :average_scheduled_poll_interval=>5, :error_handlers=>[#<Sidekiq::ExceptionHandler::Logger:0x00007

f4f97c24fa0>], :death_handlers=>[], :lifecycle_events=>{:startup=>[], :quiet=>[], :shutdown=>[], :heartbeat=>[

]}, :dead_max_jobs=>10000, :dead_timeout_in_seconds=>15552000, :reloader=>#<Sidekiq::Rails::Reloader @app=Redm

ineApp::Application>, :config_file=>"./config/sidekiq.yml", :strict=>true, :tag=>"redmine-6.0.4", :identity=>"

new-redmine:1309:66074dc60549"}

Apr  7 08:41:38 new-redmine sidekiq[1309]: 2025-04-07T06:41:38.516Z pid=1309 tid=1mwx ERROR: heartbeat: Unsupp

orted command argument type: FalseClass

Apr  7 08:41:43 new-redmine sidekiq[1309]: 2025-04-07T06:41:43.520Z pid=1309 tid=1mwx ERROR: heartbeat: Unsupp

orted command argument type: FalseClass

Apr  7 08:41:48 new-redmine sidekiq[1309]: 2025-04-07T06:41:48.523Z pid=1309 tid=1mwx ERROR: heartbeat: Unsupp

orted command argument type: FalseClass

Apr  7 08:41:53 new-redmine sidekiq[1309]: 2025-04-07T06:41:53.528Z pid=1309 tid=1mwx ERROR: heartbeat: Unsupp

orted command argument type: FalseClass

 My config/sidekiq.yml is quite simple and I couldn't find any "heartbeat" variable:

cat config/sidekiq.yml

---

:queues:

  - mailers

 And trying to add one like so :heartbeat: 10|true|false (one of the 3 options) didn't change the behavior.

#6 - 2025-04-07 11:05 - Holger Just

- Status changed from New to Closed

- Resolution set to Invalid

It appears that all these issues are caused by your customizations (e.g. the issue_recurring plugin, your Gemfile.local additions, your deployment

mode, or your Redis version).

None of these seems to be a defect in Redmine itself. As such, I'm closing this issue. Please use the forums for usage / administration / deployment

questions.
#7 - 2025-04-07 13:28 - Nono Nono

I made it to work, you can close the ticket.

Changes made:

Update redis using deb [signed-by=/usr/share/keyrings/redis-archive-keyring.gpg] https://packages.redis.io/deb jammy main

Using the following Gemfile.local:

gem "sidekiq" 

gem "redis" 

 and remove the plugin issue_recurring
